<div class="miam-slider-input">
  <div class="miam-slider-input__icon__row">
    <ng-miam-icon *ngFor="let icon of icons" [width]="64" [height]="32" [iconName]="icon"
      primaryColor="var(--m-color-secondary)"></ng-miam-icon>
  </div>
  <div #miamLeftOfSliderTrack></div>
  <div #miamSliderColored class="miam-slider-input__track__colored"></div>
  <div class="miam-slider-input__track" cdkDropListGroup>
    <span  class="miam-slider-input__track__drop"  *ngFor='let step of steps,let i = index' (cdkDropListDropped)="selectStepAt(i)" (click)="selectStepAt(i)" cdkDropList>
      <div #miamSliderHandle class="miam-slider-input__track__thumb" *ngIf='i==selectedIndex' cdkDragLockAxis="x"  cdkDragBoundary=".miam-slider-input__track" (cdkDragMoved)="colorTrack()" cdkDrag>
           <div class="miam-slider-input__track__placeholder" *cdkDragPlaceholder></div> 
           <div class="miam-slider-input__track__preview " *cdkDragPreview></div> 
      </div>
    </span>
  </div>
  <div class="miam-slider-input__label__row">
    <span *ngFor="let step of steps, let i = index" [ngClass]="{'selected': i === selectedIndex}">{{step}}</span>
  </div>
</div>